PETSc version 3.15.5
Fix/Edit manual page

# PetscGetProgramName

Gets the name of the running program.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscGetProgramName(char name[],size_t len)

Not Collective

### Input Parameter

| len | - length of the string name

### Output Parameter

| name | - the name of the running program

### Notes

The name of the program is copied into the user-provided character array of length len. On some machines the program name includes its entire path, so one should generally set len >= PETSC_MAX_PATH_LEN.

### Level

advanced

### Location

src/sys/objects/pinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages